/*
                            MIME Type Installing
 */

#ifndef EDV_MIME_TYPE_INSTALL_H
#define EDV_MIME_TYPE_INSTALL_H

#include <glib.h>
#include "edv_context.h"


/*
 *	Installs a new MIME Type.
 *
 *	The m specifies the MIME Type to be installed. It will not be
 *	modified or deleted by this call.
 *
 *	The calling function should map the Endeavour MIME Types
 *	Window by a call to EDVWindowMIMETypesWindowMap() to ensure
 *	that Endeavour is running before calling this function.
 */
extern void EDVMimeTypeInstall(
	edv_context_struct *ctx, edv_mime_type_struct *m
);


#endif	/* EDV_MIME_TYPE_INSTALL_H */
